aboutsummaryrefslogtreecommitdiffstats
path: root/perl-file-tail/watch
diff options
context:
space:
mode:
authorMattias Andrée <maandree@operamail.com>2013-03-05 07:17:37 +0100
committerMattias Andrée <maandree@operamail.com>2013-03-05 07:17:37 +0100
commit4a457f5943064c7bae5d70ec8d4df715b27c50cb (patch)
treea363fc0235e8686183922f49c2abe0809eb14d5d /perl-file-tail/watch
parentadopting opencascade-docs (diff)
downloadaur-packages-4a457f5943064c7bae5d70ec8d4df715b27c50cb.tar.gz
aur-packages-4a457f5943064c7bae5d70ec8d4df715b27c50cb.tar.bz2
aur-packages-4a457f5943064c7bae5d70ec8d4df715b27c50cb.tar.xz
adopt perl-file-tail
Signed-off-by: Mattias Andrée <maandree@operamail.com>
Diffstat (limited to '')
-rwxr-xr-xperl-file-tail/watch21
1 files changed, 21 insertions, 0 deletions
diff --git a/perl-file-tail/watch b/perl-file-tail/watch
new file mode 100755
index 0000000..2f81b76
--- /dev/null
+++ b/perl-file-tail/watch
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+[ -f file-tail ] && rm file-tail
+
+wget 'http://search.cpan.org/~mgrabnar/File-Tail-0.99.3/Tail.pm' -O file-tail >/dev/null 2>/dev/null
+
+if [ $? = 0 ]; then
+ [ -f unfetchable ] && rm unfetchable
+ grep 'Module Version:' < file-tail | md5sum > new-sum
+ touch sum
+ if [ "$(cat sum)" = "$(cat new-sum)" ]; then
+ rm new-sum
+ else
+ mv new-sum sum
+ echo 'perl-file-tail'
+ fi
+elif [ ! -f unfetchable ]; then
+ touch unfetchable
+ echo 'perl-file-tail (unfetchable)'
+fi
+